<?php
// $Id: catlist_popup.php,v 1.3 2005/10/28 11:56:02 ohwada Exp $

// 2004-11-28 K.OHWADA
// write fair, delete unnecessary comments

// 2004/08/10 K.OHWADA
// use class weblinksCatlink
// enable to install this module two or more. 

//================================================================
// popup category list
// use class weblinksCategory, weblinksLink
// 2004/01/14 K.OHWADA
//================================================================

include "header.php";

xoops_header(false);
echo "</head><body>";
echo "<br>";
echo "<h3 align=center>"._WLS_CATLIST."</h3>";
echo "<hr>";
echo "<table align=center><tr><td>";

// --- category list ---
$tbl_category->getAll();
$tree_array = $tbl_category->getTreeArray();
foreach ($tree_array as $cid) 
{
	$catpath = $tbl_category->makeCatpath($cid);
	$catpath = $myts->makeTboxData4Show($catpath);
	$count   = $tbl_catlink->getLinkNumByCid($cid);

	echo "<a href='$MODULE_URL/viewcat.php?cid=$cid' target='_blank'><b>$catpath</b></a>&nbsp;($count)<br />";
}

echo "</td></tr></table>";
echo "<hr>";
echo "<div style='text-align:center;'><input value='._CLOSE.' type='button' onclick='javascript:window.close();' /></div>";
echo "<br>";

xoops_footer();

?>
